### Method

# Foundry ProcessLauncher push_expansion

#### Declaration [src]

    void
    foundry_process_launcher_push_expansion (
      FoundryProcessLauncher* self,
      const char* const* environ
    )

#### Description [src]

Pushes a layer to expand known environment variables.

The command argv and cwd will have `$FOO` style environment variables expanded that are known. This can be useful to allow things like `$BUILDDIR` be expanded at this layer.

#### Parameters

`environ`

  Type: `const char* const*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.